local my_db_path = db_path or "./scripts/database/"; dofile(my_db_path..'/scripts/GT.lua')
dofile(my_db_path..'/chassis/ZIL131.lua')

-- ZiL-131 PR-14AM
GT = {}

GT.chassis = chassis; chassis = nil

set_recursive_metatable(GT, GT_generic_wheel_vehicle)

GT.visual.shape = "Zil-135"
GT.visual.shape_dstr = "ZIL-135_P_1"

GT.id = 34675022

--chassis
GT.swing_on_run = false

GT.r_max = 0.46

--Burning after hit
GT.visual.fire_size = 0.7 --relative burning size
GT.visual.fire_pos[1] = 0 -- center of burn at long axis shift(meters)
GT.visual.fire_pos[2] = 0 -- center of burn shift at vertical shift(meters)
GT.visual.fire_pos[3] = 0 -- center of burn at transverse axis shift(meters)
GT.visual.fire_time = 600 --burning time (seconds)

GT.CLSID = "{3EB2AF54-2728-4aa3-AE22-9218EC787104}"
GT.name = "ZiL-131 PR-14AM"
GT.displayname = _("ZiL-131 PR-14AM")
GT.score = 6

register_car(
  {
        CLSID = GT.CLSID,
        Name = GT.name,
        DisplayName = GT.displayname,
        DetectionRange  = 0,
        ThreatRange = 0,
        Rate = GT.score,
        mapclasskey = "P0091000212",
  }, 
  {
  }
);

